Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

VS2015 Status?



  • I'm thinking of upgrading to VS2015, does Qt5 build and run? Does the Visual Studio plugin work? What is the timeline for VS2015 support? I would normally try it and see, but as we know you can only have 1 version of VS installed on a Windows installation.



  • ... only one 1 version of VS installed ...

    Actually I think you can have more than 1 version installed on a single Windows installation, for example see this Stackoverflow question

    If you read Microsoft's doc about this, they recommend installing the different VS versions in ascending order, which means installing VS2013 after you've installed VS2015 might not work perfectly, so maybe try first uninstall VS2015, install VS2013 and then VS2015 again :-)


  • Lifetime Qt Champion

    Hi,

    AFAIK, there's a mkpsec for VS2015, so it should probably build. For the rest you should check the mailing lists archives.


  • Moderators

    @mkandel said:

    What is the timeline for VS2015 support?

    Support will be added after the final version of VS2015 is released.



  • @JKSH said:

    @mkandel said:

    What is the timeline for VS2015 support?

    Support will be added after the final version of VS2015 is released.

    Now VS2015 is released.
    When Qt for VS2015 will be released please ?


  • Moderators

    As @SGaist said there's a mkspec for 2015 for some time now. All you need is about 15 minutes (depending on your hardware) to build it and you're good to go. I'm using it for a couple days now and it works fine.



  • @Chris-Kawa
    Hi,
    Can you please give instructions for getting and using the mkspec for VS2015. Also - i tried unsuccessfully to get the QT VS add-in to work with VS2015 (latest instructions were for VS2013) do you know where i can find info about that?
    Thanks very much
    Larry


  • Moderators

    mkspecs are part of the sources distribution. Check this page for more info on how to build Qt from source.

    As for the Add-In there's no VS2015 compatible version at this time. I would expect it to come out around next version of Qt (5.5.1 or 5.6) but don't quote me on this.


Log in to reply